Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000238KdenliveEffectspublic2008-10-21 11:342008-11-12 22:28
Reportercinephiliac 
Assigned Tomadsdyd 
PrioritylowSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.0Fixed in Version0.7.0 
Summary0000238: Make difference between audio and video plugins in the effects list (all) more visible
DescriptionThis is the exact same as bug#209 reported fixed in SVN rev#2472 however I'm still getting it in SVN rev#2521. I also *am* using English as the language.

Inigo -query filters reports:


filters:
  - brightness
  - channelcopy
  - data_feed
  - data_show
  - gamma
  - greyscale
  - grayscale
  - luma
  - mirror
  - mono
  - obscure
  - region
  - rescale
  - resize
  - transition
  - watermark
  - resample
  - deinterlace
  - gtkrescale
  - boxblur
  - wave
  - telecide
  - motion_est
  - vismv
  - crop_detect
  - autotrack_rectangle
  - oldfilm
  - dust
  - lines
  - grain
  - tcolor
  - vignette
  - volume
  - jackrack
  - ladspa
  - affine
  - charcoal
  - invert
  - sepia
  - chroma
  - chroma_hold
  - threshold
  - shape
  - avcolour_space
  - avcolor_space
  - avdeinterlace
  - avresample
  - BurningTV
  - burningtv
TagsNo tags attached.
Build/Install Method
Attached Filesjpeg file icon fade_in-out.jpeg [^] (94,963 bytes) 2008-10-21 11:34

- Relationships

-  Notes
(0000509)
administrator (administrator)
2008-10-21 11:55

Cannot reproduce... Fade effects works fine for me. Anyone else experiencing this issue ?
(0000536)
madsdyd (administrator)
2008-10-21 21:01

Ditto here, can not reproduce on
ffmpeg: Revision: 15659 Last Changed Date: 2008-10-21 03:01:55 +0200 (tir, 21 okt 2008)
mlt: Revision: 1188 Last Changed Date: 2008-10-21 01:26:39 +0200 (tir, 21 okt 2008)
mlt++: Revision: 1188 Last Changed Date: 2008-10-20 19:42:07 +0200 (man, 20 okt 2008)
kdenlive: Revision: 2526 Last Changed Date: 2008-10-21 17:34:31 +0200 (tir, 21 okt 2008)

fade out (audio!) works fine for me. Using Danish interface though!
(0000539)
cinephiliac (updater)
2008-10-21 21:42

My mistake. It was 3am here when I filed this and I assumed this was a *video* fade, not an *audio* one (thus the screencapture to "demonstrate" the "problem").

Sound isn't workeing on my Kdenlive at the moment, so I can't confirm that it all works correctly, but I can confirm my basis for filing this bug was wrong.

Apologies for that. Maybe the label for this could be changed to fade in (audio) and fade out (audio) to clarify.
(0000636)
madsdyd (administrator)
2008-10-23 20:45

Hi cinephiliac.

You are not the first one to make that mistake :-)

But, to the left of the effectslist is a drop down box, where you can select all, audio, video or custom. If you select audio, only the audio effects are listed. It would be kind of redundant if the effects had a label of "audio" in that case. However, it could be considered to add eg. (A) or (V) after each effect, when shown in the "All" list. It would probably have to be translateble though, which might complicate it somewhat. Perhaps some kind of icon could be added, or some color or something.

I am changing this issue to an acknowledged feature request for 0.7.1, but I can't promise that JB thinks its a good idea.
(0000648)
cinephiliac (updater)
2008-10-24 10:09

I'd suggest icons. An eye / film strip for video, a speaker / ear for audio etc. These would be clearer than a single letter, shorter than a word and not need translation.
(0000654)
madsdyd (administrator)
2008-10-24 16:50

A nice icon has been added for both video and audio effects in svn rev. 2548.

I really do think this improves the usuability of the effect list! It limits the confusion for users, looks nice and "complete" in a sense. Combined with the [i] button (which I just located :-) it really improves the usuability of the effect lists.

But...

In Denmark we have a saying: "If you hand the devil your little finger, he will take the entire arm". It is used to express the situation, where you get something, and then you want something more! :-)

What I am trying to say here is, that I think it would be really nice to

a) Also add icons the effect stacks (the effects in the stack look kind of "naked" now)

b) And, if possibly, when showing the information box about each effect, in the effect list, if it was possible to adjust the size of this box or make it smaller by default or something, it would be just great.

Hoping I am not sounding like a spoiled kid.... you could revenge by assigning me to do it, as a junior task, if you think I am up to it :-)
(0000655)
administrator (administrator)
2008-10-24 17:17

OK, I am taking care of the info widget size. madsdyd, if you want to take care of the icons in effect stack, you're welcome.
(0000680)
madsdyd (administrator)
2008-10-25 08:37

Svn rev. 2554 adds icons in the effectsstack too.

However, there are no icons for custom effects - this is a seperate (0.7.1) feature request, really.

- Issue History
Date Modified Username Field Change
2008-10-21 11:34 cinephiliac New Issue
2008-10-21 11:34 cinephiliac File Added: fade_in-out.jpeg
2008-10-21 11:55 administrator Note Added: 0000509
2008-10-21 21:01 madsdyd Note Added: 0000536
2008-10-21 21:01 madsdyd Status new => feedback
2008-10-21 21:42 cinephiliac Note Added: 0000539
2008-10-23 20:45 madsdyd Note Added: 0000636
2008-10-23 20:45 madsdyd Priority normal => low
2008-10-23 20:45 madsdyd Severity minor => feature
2008-10-23 20:45 madsdyd Status feedback => acknowledged
2008-10-23 20:45 madsdyd Target Version => 0.7.1
2008-10-23 20:45 madsdyd Summary Regression causes fade in/out to do nothing. => Make difference between audio and video plugins in the effects list (all) more visible
2008-10-24 10:09 cinephiliac Note Added: 0000648
2008-10-24 16:50 madsdyd Note Added: 0000654
2008-10-24 17:17 administrator Note Added: 0000655
2008-10-25 07:55 madsdyd Status acknowledged => assigned
2008-10-25 07:55 madsdyd Assigned To => madsdyd
2008-10-25 08:37 madsdyd Note Added: 0000680
2008-10-25 08:37 madsdyd Status assigned => closed
2008-10-25 08:37 madsdyd Resolution open => fixed
2008-10-25 08:37 madsdyd Fixed in Version => Recent git
2008-11-12 22:22 madsdyd Fixed in Version Recent git => 0.7.0
2008-11-12 22:28 madsdyd Target Version 0.7.1 => 0.7.0


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker